pkgs: {
	enable = true;
	profiles = { nixos = {
		name = "NixOS Profile";
		settings = {
			"media.ffmpeg.vaapi.enabled" = true;
			"browser.startup.homepage" = "https://ipfs.io/ipfs/QmcnP6Fa2cs8SMLAMC12caF1pFoso4ZKU8FLKagFtKGfa1";
			"browser.cache.disk.capacity" = 536870912; # 1 GiB
			"extensions.pocket.enabled" = false;
		};
		search.force = true;
		search.default = "DuckDuckGo";
		search.engines = {
			"Library Genesis" = {
				urls = [{
					template = "https://libgen.rs/search.php";
					params = [
						{name = "req"; value = "{searchTerms}";}
					];
				}];
				iconUpdateURL = "https://libgen.rs/favicon.ico";
				updateInterval = 7 * 24 * 60 * 60 * 1000; # every week
				definedAliases = [ "!lg" ];
			};
			"YouTube" = {
				urls = [{
					template = "https://youtube.com/results";
					params = [
						{name = "search_query"; value = "{searchTerms}";}
						{name = "page"; value = "{startPage}";}
					];
				}];
				iconUpdateURL = "https://www.youtube.com/favicon.ico";
				updateInterval = 7 * 24 * 60 * 60 * 1000; # every week
				definedAliases = [ "!yt" ];
			};
			"ArchWiki" = {
				urls = [{
					template = "https://wiki.archlinux.org/index.php";
					params = [
						{name = "search"; value = "{searchTerms}";}
						{name = "title"; value = "Special:Search";}
					];
				}];
				iconUpdateURL = "https://wiki.archlinux.org/favicon.ico";
				updateInterval = 7 * 24 * 60 * 60 * 1000; # every week
				definedAliases = [ "!a" ];
			};
			"NixOS Wiki" = {
				urls = [{ template = "https://nixos.wiki/index.php?search={searchTerms}"; }];
				iconUpdateURL = "https://nixos.wiki/favicon.png";
				updateInterval = 7 * 24 * 60 * 60 * 1000; # every week
				definedAliases = [ "!nix" ];
			};
			"Wikipedia (en)".metaData.alias = "!w";
			"Google".metaData.alias = "!g";
			"Bing".metaData.hidden = true;
		};
	};};
}
